Bug 230609 - biology/seqtools: fails to build with LLD 7
Summary: biology/seqtools: fails to build with LLD 7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 214864 230355
  Show dependency treegraph
 
Reported: 2018-08-13 22:45 UTC by Jan Beich
Modified: 2019-01-07 19:54 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-08-13 22:45:04 UTC
$ poudriere jail -cj clang7 -a amd64 -v projects/clang700-import -m svn+https
$ poudriere testport -j clang7 biology/seqtools
[...]
ld: error: undefined symbol: dumpStack
>>> referenced by errAbort.c
>>>               libblatSrc_la-errAbort.o:(pushWarnHandler) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: dumpStack
>>> referenced by errAbort.c
>>>               libblatSrc_la-errAbort.o:(popWarnHandler) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: dumpStack
>>> referenced by errAbort.c
>>>               libblatSrc_la-errAbort.o:(pushAbortHandler) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: dumpStack
>>> referenced by errAbort.c
>>>               libblatSrc_la-errAbort.o:(popAbortHandler) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: dumpStack
>>> referenced by errAbort.c
>>>               libblatSrc_la-errAbort.o:(pushDebugAbort) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: dumpStack
>>> referenced by errAbort.c
>>>               libblatSrc_la-errAbort.o:(pushWarnAbort) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: dumpStack
>>> referenced by errAbort.c
>>>               libblatSrc_la-errAbort.o:(pushSilentWarnHandler) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: fileSize
>>> referenced by common.c
>>>               libblatSrc_la-common.o:(fileExists) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: clock1000
>>> referenced by common.c
>>>               libblatSrc_la-common.o:(uglyTime) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: makeDir
>>> referenced by common.c
>>>               libblatSrc_la-common.o:(makeDirs) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: makeDir
>>> referenced by common.c
>>>               libblatSrc_la-common.o:(makeDirs) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: clock1
>>> referenced by common.c
>>>               libblatSrc_la-common.o:(dateIsOld) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: clock1
>>> referenced by common.c
>>>               libblatSrc_la-common.o:(dateIsOlderBy) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: dumpStack
>>> referenced by cheapcgi.c
>>>               libblatSrc_la-cheapcgi.o:(catchSignal) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: fileSize
>>> referenced by obscure.c
>>>               libblatSrc_la-obscure.o:(readInGulp) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: fileSize
>>> referenced by obscure.c
>>>               libblatSrc_la-obscure.o:(readAllWords) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: makeDir
>>> referenced by portimpl.c
>>>               libblatSrc_la-portimpl.o:(makeDirsOnPath) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: makeDir
>>> referenced by portimpl.c
>>>               libblatSrc_la-portimpl.o:(makeDirsOnPath) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: rTempName
>>> referenced by servBrcMcw.c
>>>               libblatSrc_la-servBrcMcw.o:(_makeTempName) in archive ../gbtools/.libs/libgbtools.a

ld: error: undefined symbol: rTempName
>>> referenced by servCrunx.c
>>>               libblatSrc_la-servCrunx.o:(_makeTempName) in archive ../gbtools/.libs/libgbtools.a

ld: error: too many errors emitted, stopping now (use -error-limit=0 to see all errors)
c++: error: linker command failed with exit code 1 (use -v to see invocation)

http://package18.nyi.freebsd.org/data/headamd64PR230355-default/2018-08-11_19h01m06s/logs/errors/seqtools-4.44.1_2.log
Comment 1 Jan Beich freebsd_committer 2018-08-13 22:45:42 UTC
Can be worked around via LLD_UNSAFE.
Comment 2 Nathan 2018-10-17 16:17:36 UTC
Created a jail with llvm70 and this port compiled
Comment 3 Nathan 2018-10-17 16:22:24 UTC
(In reply to Nathan from comment #2)
Cancel that for some reason I still have lld6  in that jail for an odd reason
Comment 4 Kurt Jaeger freebsd_committer 2019-01-07 19:54:42 UTC
Added LLD_UNSAFE=yes, testbuild on 13, builds fine. Committed, thanks!
Comment 5 commit-hook freebsd_committer 2019-01-07 19:54:49 UTC
A commit references this bug:

Author: pi
Date: Mon Jan  7 19:54:40 UTC 2019
New revision: 489613
URL: https://svnweb.freebsd.org/changeset/ports/489613

Log:
  biology/seqtools: fix build on current, if lld is lld7

  - fixed by LLD_UNSAFE=yes

  PR:		230609
  Submitted by:	jbeich

Changes:
  head/biology/seqtools/Makefile